SortOrder (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.query, enum: SortOrder

# Enum Class SortOrder

java.lang.Object
java.lang.Enum<SortOrder>
org.apache.cayenne.query.SortOrder

All Implemented Interfaces:
  `Serializable, Comparable<SortOrder>, Constable`

public enum SortOrder extends Enum<SortOrder>
Constants to order query results (the ORDER BY clause).

Since:
  3.0

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ASCENDING`
  Ascending order, case sensitive
  `ASCENDING_INSENSITIVE`
  Ascending order, case insensitive
  `DESCENDING`
  Descending order, case sensitive
  `DESCENDING_INSENSITIVE`
  Descending order, case insensitive

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SortOrder`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SortOrder[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ASCENDING

    public static final SortOrder ASCENDING
    Ascending order, case sensitive

  - ### ASCENDING_INSENSITIVE

    public static final SortOrder ASCENDING_INSENSITIVE
    Ascending order, case insensitive

  - ### DESCENDING

    public static final SortOrder DESCENDING
    Descending order, case sensitive

  - ### DESCENDING_INSENSITIVE

    public static final SortOrder DESCENDING_INSENSITIVE
    Descending order, case insensitive

- ## Method Details

  - ### values

    public static SortOrder[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SortOrder valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null